Subject: bug#2059: 23.0.60; Font selection broken on non-GTK/non-XFT build.

From: Chong Yidong <[email-masked]>
Date: Tue, 27 Jan 2009 09:45:49 -0500 (EST)

> So I compile with neither GTK nor XFT.  In pretest 23.0.60 under these
> conditions, the mouse menu for font selection fails.  This bug lies in
> an incompatibility between menu-set-font (menu-bar.el), which expects
> a string, and mouse-select-font (mouse.el) which yields a list
> containing a string.

I don't observe any problem with font selection on a `--without-xft
--with-x-toolkit=lucid' build.  Please provide a precise recipe,
starting from `emacs -Q'.  Also, please provide your configure
switches, as you should have in the original bug report (this
information would be in the email generated by M-x report-emacs-bug).